CFFOperator
Date: 2017-05-25

org.apache.fontbox.cff

## Class CFFOperator

- java.lang.Object
- - org.apache.fontbox.cff.CFFOperator

-     public final class CFFOperator
      extends java.lang.Object

  This class represents a CFF operator.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CFFOperator.Key` This class is a holder for a key value.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object object)`
    `CFFOperator.Key` | `getKey()` The key of the operator.
    `java.lang.String` | `getName()` The name of the operator.
    `static CFFOperator` | `getOperator(CFFOperator.Key key)` Returns the operator corresponding to the given key.
    `static CFFOperator` | `getOperator(java.lang.String name)` Returns the operator corresponding to the given name.
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getKey

          public CFFOperator.Key getKey()

      The key of the operator.
      Returns:
        the key

    - #### getName

          public java.lang.String getName()

      The name of the operator.
      Returns:
        the name

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object object)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getOperator

          public static CFFOperator getOperator(CFFOperator.Key key)

      Returns the operator corresponding to the given key.
      Parameters:
        `key` - the given key
      Returns:
        the corresponding operator

    - #### getOperator

          public static CFFOperator getOperator(java.lang.String name)

      Returns the operator corresponding to the given name.
      Parameters:
        `name` - the given name
      Returns:
        the corresponding operator